UHID(4)

NAME
uhid - USB generic HID support

SYNOPSIS
uhid* at uhub?

DESCRIPTION
The uhid driver provides support for all HID (Human Interface Device) interfaces in USB devices that do not have a special driver.

Use ioctl(2) with USB_GET_REPORT_DESC to get the HID report descriptor. Using this descriptor the exact layout and meaning of data to/from the device can be found.

Use read(2) to get data from the device. Data should be read in chunks of the size prescribed by the report descriptor. Use write(2) send data to the device. Data should be written in chunks of the size prescribed by the report descriptor.

SEE ALSO
usb(4), usbhidctl(1)

HISTORY
The uhid driver appeared in NetBSD 1.4.